TechSpot

Quicktime 6.5.1 plugin doesn't work with Firefix 1.0

By Brighter Hell
Feb 12, 2005
  1. On certain websites that use the Quicktime plugin the Quicktime video doesn't work in Firefox 1.0. It tells me that additional plugins are required to view the media, and tells me I need Quicktime 6.5.1. I click it and it says it's not available. I already have Quicktime 6.5.1 on my computer and I'm using Windows 2000 Pro.

    I went to about: plugins and here's what it said about Quicktime:

    File name: npqtplugin.dll
    The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.

    MIME Type Description Suffixes Enabled
    application/sdp SDP stream descriptor file sdp Yes
    application/x-sdp SDP stream descriptor file sdp Yes
    application/x-rtsp RTSP stream descriptor file rtsp,rts Yes
    video/quicktime QuickTime Movie mov,qt Yes

    So finally I went to manual install a the Quicktime website, despite the fact that I already have Quicktime 6.5.1. The download page doesn't come up and where it says "Your download will start automatically. If it does not, click this link:", there's no link! What's up with that?

    I'm sure I'm not the only one who's run into this - anyone know how to fix it?
     
  2. Didou

    Didou Bowtie extraordinair! Posts: 4,274

    I use Quicktime Alternative with Firefox & it works quite well with web pages that have Quicktime content.
     
  3. Brighter Hell

    Brighter Hell TS Rookie Topic Starter Posts: 44

    I installed Quicktime alternative but it didn't work. Then I tried Quicktime 6.5.2 and it still doesn't work.
     
Topic Status:
Not open for further replies.

Similar Topics

Add New Comment

You need to be a member to leave a comment. Join thousands of tech enthusiasts and participate.
TechSpot Account You may also...